Skip to Content

Java Mapping Error - Unable to instantiate the Java class

Hi,

I am trying out a Java Mapping scenario.

The code worked fine in eclipse.i could get the desired output.

but when i tried it out in XI ....i got the following error in moni:

*Unable to instantiate the Java class*

<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>

- <!-- Request Message Mapping

-->

- http://sap.com/xi/XI/Message/30" xmlns:SOAP=" http://schemas.xmlsoap.org/soap/envelope/" SOAP:mustUnderstand="">

<SAP:Category>Application</SAP:Category>

<SAP:Code area="MAPPING">CANNOT_INSTANCIATE_CLASS</SAP:Code>

<SAP:P1>JavaMapping</SAP:P1>

http://www.sdsdsd.com/XI/Sales/T~>

<SAP:P3>3bd13b30-6300-11dc-b9f1-f0050aa5c91a</SAP:P3>

<SAP:P4>-1</SAP:P4>

<SAP:AdditionalText />

<SAP:ApplicationFaultMessage namespace="" />

<SAP:Stack>Unable to instantiate the Java class JavaMapping (http://www.sdsdsd.com/XI/Sales/T~, 3bd13b30-6300-11dc-b9f1-f0050aa5c91a, -1)

<SAP:Retry>M</SAP:Retry>

</SAP:Error>

Please help me out with this error.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • avatar image
    Former Member
    Jan 29, 2008 at 05:26 AM

    Hi,

    Check if your system contains this jar aii_map_api.jar. This jar file is necessary for Java Mapping.

    - Satish

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Please go through below link to

      How to Use DOM4J in XI

      /people/amjad-ali.khoja/blog/2006/02/07/using-dom4j-in-xi--a-more-sophisticated-option-for-xml-processing-than-sap-xml-toolkit

      This will help to improt DOM4J in XI at proper place.

      Thanks

      Swarup

  • Jan 12, 2011 at 03:56 PM

    there was a difference between the java version of eclipse n tht of XI

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hi Anu,

      Currently I am also facing the same Unable to instantiate the Java class same java class is working fine in eclipse .

      Could you please confirm Is this because of version mismatch that in Eclipse JAVA and SAP JAVA ?

      Thanks in Advance.

      Best,

      Srinivas